s*****n 发帖数: 5488 | 1 在球面上进行NXN的划分。然后把所有的点都投入二维的buckets. 对于一个buckets
和其他8个buckets进行距离计算。如果这个9个buckets里面的点tai多。再次划分这个9
个buckets.用对角线为 n/2划分。则周围8个小buckets的点都是属于pair.从list中取
出,计算list中剩余的不确定点。 |
|
k*****t 发帖数: 161 | 2 来自主题: JobHunting版 - 问道面试题 Given an NxN integer matrix, in which the integers in each row and column
have been already sorted from smallest to largest. Please provide an
algorithm to get the ith smallest integer from the integer matrix.
For example,
1, 5, 20, 33
9, 10, 50, 51
12,15, 59,80
60,70,91, 92
the 4th smallest integer should be 10. |
|
g**********y 发帖数: 14569 | 3 看答案发现,对于NxN的矩阵,如果有解,多半都有对称解。全搜索所有空间慢,但是
搜对称空间还是很容易的。这是搜对称空间的投机取巧结果(时间ms), N>8时,无解:
N = 2
a a
a a
Time = 15
N = 3
a a h
a b a
h a d
Time = 0
N = 4
a a h s
a b e t
h e b e
s t e m
Time = 16
N = 5
a a h e d
a b a c i
h a o l e
e c l a t
d i e t s
Time = 16
N = 6
a a h i n g
a g o n a l
h o o d i e
i n d o l e
n a i l e d
g l e e d s
Time = 15
N = 7
a b a s e r s
b e d e m e n
a d e n o m a
s e n a t o r
e m o t i v e
r e m o v e r
s n a r e r s
Time = 94
N = 8
c a r b o r a s
a p e r i e n t
r e c ... 阅读全帖 |
|
g**********y 发帖数: 14569 | 4 对NxN, 想到一种加速的办法:
全空间搜索时,其实有很多重复的搜索,这是对称性决定的。比如第一行单词为alaska
, 那么第一列就不用搜任何字典序大于alaska的单词 -- 因为这种组合后面会被搜到。
这样加速后,7x7用0.2秒就可以出来。8x8还是很长,算了几分钟,还没出结果。 |
|
h******k 发帖数: 810 | 5 本周面了某L公司,说说经历吧。一共五场九个人,除第一场host manager一人半小时
,其它都是两人一master一shadow一小时。
1. 介绍公司产品,发展方向;本人介绍做的项目,most challenging project.
2. 150题8.2:imagine a robot sitting on the upper left hand corner of an NxN
grid. The robot can only move in two directions: right and down. How many possible paths are there for the robot?讨论时间复杂度空间复杂度。如何优化。
3. given two linked lists of object references, how to check if the third
one is a merge of these two, notice that different references could point to the same object, and ... 阅读全帖 |
|
q****x 发帖数: 7404 | 6 how to solve 5 & 6?
i don't understand 3. what is difference reference pointing to the same
object? so each reference has a name that is also stored in the list? why
the 1st 2 are ok while the 3rd is not?
NxN
possible paths are there for the robot?讨论时间复杂度空间复杂度。如何优化。
to the same object, and the merge is not unique, e.g. lista = {A&, A&, B&};
listb = {C&, A&}; listm could be {C&, A&, A&, A&, B&} or {A&, A&, C&, A&, B&
} or else, but not {A&, A&, A&, C&, B&}. |
|
y*******g 发帖数: 6599 | 7 比我面的难太多了。
NxN
possible paths are there for the robot?讨论时间复杂度空间复杂度。如何优化。
to the same object, and the merge is not unique, e.g. lista = {A&, A&, B&};
listb = {C&, A&}; listm could be {C&, A&, A&, A&, B&} or {A&, A&, C&, A&, B&
} or else, but not {A&, A&, A&, C&, B&}. |
|
y******n 发帖数: 47 | 8 周五面完最后一个onsite, 累的惨兮兮的, 好容易爬回家. 不管结果如何, 这段时间找
工作算是告一段落了.
下面把这段时间面试中被问到的题目整理一下, 供大家参考. 我也就不说具体是那些公
司了, 都是很典型的面试题, 到哪里都有可能会被问到.
* implement memcpy? How to improve? how to determine if a system is
32bit or 64bit?
* how is static keyword used in Java?
* a list of intervals, no overlapping and sorted, write a function to
insert an interval into the list and still keep the list sorted and no
overlapping.
* given a function on sorted dictionary to retrieve word by index,
string getWord(int i), how to i... 阅读全帖 |
|
B*******1 发帖数: 2454 | 9 Program solution for 'game of life' (3X's in an nXn grid. Initial stage - 3
x's horizontal next to each other. Next step - alternate to vertical 3 x's
center one stays at the same position. Stages repeat. I coded using arrays,
interviewer was interested in a solution without the use of arrays. |
|
g**********y 发帖数: 14569 | 10 别叫大牛,我不知道有效的办法。我看到的网上的解,好象都有点问题。我也在等牛人
出来给个简单明白的解,或者证明没有太有效的解。
我直觉是对满足条件NxN的矩阵,应该可以在O(N^2)找到median。能在O(N)找到的话,
就是很好的解了。O(logN),我觉得不太可能。 |
|
k****n 发帖数: 369 | 11 m&s of coz,你也可以从头讲一遍gc的各路历史各种利弊
如果你确信自己不会被细节卡住,不会被问倒,当然讲的越细越多越好
一道面试题很可能是老题,所以知道一个正确答案很容易,也很正常
但是如果你知道更多的解法,能说出每种解法的利弊,这个面试官这必然是positive
举最简单的例子,nxn的矩阵转置,斐波那契数列,这种题
刚学编程一个月的都会写,但还是会被考到,绝不是考编程基本功
看你的知识面或者应变能力了 |
|
v***n 发帖数: 562 | 12 下面那个is_free方法是什么作用?谢谢!
下面第四版的解答:
Imagine a robot sitting on the upper left hand corner of an NxN
grid. The robot can
only move in two directions: right and down. How many possible paths are
there for
the robot?
FOLLOW UP
Imagine certain squares are “o$ limits”, such that the robot can not
step on them.
Design an algorithm to get all possible paths for the robot.
pg 64
Part 1: (For clarity, we will solve this part assuming an X by Y grid)
Each path has (X-... 阅读全帖 |
|
d****o 发帖数: 1055 | 13 Imagine certain squares are “o$ limits”, such that the robot can not
step on them.
Test This.
upper left hand corner of an NxN |
|
S**I 发帖数: 15689 | 14 ☆─────────────────────────────────────☆
gzou (gzou) 于 (Thu May 12 02:26:35 2011, 美东) 提到:
马上就要G on site了,
求祝福。
下面是从本版收集到的Google的试题,便于大家查询。
申明:有的附带有解释说明的,也来自于本版或者网络,大家自己看, 不保证真确
http://www.mitbbs.com/article_t1/JobHunting/31847453_0_1.html
本人ECE fresh PhD,背景是电路/EDA,跟G业务基本没什么关系
同学内部推荐的,很简单的一次电面就给了onsite
题都不难,但是自己没把握好机会,出了一些小bug。
总的感觉,出错就是硬伤,宁可从最简单的算法写起,也不能出错。
电面:
1,Skip list, http://en.wikipedia.org/wiki/Skip_list
写code实现struct skip_list * find(struct skip_list *head, int value)
2,sorted array... 阅读全帖 |
|
S**I 发帖数: 15689 | 15 ☆─────────────────────────────────────☆
gzou (gzou) 于 (Thu May 12 02:26:35 2011, 美东) 提到:
马上就要G on site了,
求祝福。
下面是从本版收集到的Google的试题,便于大家查询。
申明:有的附带有解释说明的,也来自于本版或者网络,大家自己看, 不保证真确
http://www.mitbbs.com/article_t1/JobHunting/31847453_0_1.html
本人ECE fresh PhD,背景是电路/EDA,跟G业务基本没什么关系
同学内部推荐的,很简单的一次电面就给了onsite
题都不难,但是自己没把握好机会,出了一些小bug。
总的感觉,出错就是硬伤,宁可从最简单的算法写起,也不能出错。
电面:
1,Skip list, http://en.wikipedia.org/wiki/Skip_list
写code实现struct skip_list * find(struct skip_list *head, int value)
2,sorted array... 阅读全帖 |
|
f********8 发帖数: 84 | 16 两人两个屋子面试。
第一个,没什么口音能听懂。是个NXN的矩阵,每个格子里面一个字母,找出以所有格
子的字母开始的所有单词。格子可以上下左右走当然能超出边界。然后就是不能走到本
身。无任何限制。
第二个是个白人,说话结巴。。。。。不过很可爱我很喜欢。题目是如何找到二叉树里
的intern loop 就是某个节点连接到自己的祖先然后形成loop的。完事问了时间复杂度。
第一题其实很简单但是没答完整。。。没问我其他问题,自我介绍2分钟解题40分钟。
。。
第二题因为tree里面每个节点都是整数然后没有重复,我拿个array存所有的走过的数
然后每次走check一边。答出复杂度是N方。完事看来哥们还算满意,我引导他说了说自
己还有公司。
俩人都是一进门,白纸code。什么也没有问。第二个我引导他问我自介的。
多谢。求分析。 |
|
f********8 发帖数: 84 | 17 人好多啊。
第一题答案是用2个for loop嵌套。遍历NXN的矩阵
然后对每个节点一个递归 上下左右四个递归列阵,一旦到了四个边界就返回。
然后API里面有2个函数1是判定是不是单词2是判定是不是词头。比如appl是词头zzz不
是词头。这样就不用走完每一个点了(哦耶答上来了。)这样就是2个function一个是
forloop双雄另外一个就是递归function了。
郁闷的是在于由于没有限制你可以直接设一个变量记录每次的起始点这样就不会回到起
始点了。
树的问题是类似于linklist,就是某一个节点link错了链接到自己的某个祖先了这样查
啊查的就是死循环了。
多谢大家了!学了很多。 |
|
e********5 发帖数: 422 | 18 大哥 你这逻辑刚好反了啊
要证明可以 你只要给出一个初始的棋子分布就行了
证明不行 你把所有分布都安排遍?他可以是要证明对所有nxn的棋盘用n-1个棋子无论
如何排列都不能填满 |
|
S**I 发帖数: 15689 | 19 ☆─────────────────────────────────────☆
yuhanlin (Yuhan) 于 (Mon Aug 29 00:18:17 2011, 美东) 提到:
周五面完最后一个onsite, 累的惨兮兮的, 好容易爬回家. 不管结果如何, 这段时间找
工作算是告一段落了.
下面把这段时间面试中被问到的题目整理一下, 供大家参考. 我也就不说具体是那些公
司了, 都是很典型的面试题, 到哪里都有可能会被问到.
* implement memcpy? How to improve? how to determine if a system is
32bit or 64bit?
* how is static keyword used in Java?
* a list of intervals, no overlapping and sorted, write a function to
insert an interval into the list and still keep the list sorted and no
overlapping.... 阅读全帖 |
|
i**********e 发帖数: 1145 | 20 恩,认同。
这是worst case,每次只能删除一行或者一列。
比 O(N+M) 那个解法要慢,因为还要花时间 binary search。
楼主的binary search解法的复杂度是 O(N log (N)). (如果是 NxN 的矩阵的话) |
|
g**********y 发帖数: 14569 | 21 不好意思,看错了。这个要简单很多。这个在面试里好象被推广到NxN的矩阵。 |
|
H****r 发帖数: 2801 | 22 偶被问过一个,NxN棋盘,每个格子升起一定高度,浇水,算留下多少
大概勾勒了个 N*N*N*Log[N] 的算法时间到lolz |
|
i**********e 发帖数: 1145 | 23 上次听说有人被问到一个 MxN 矩阵(不是 NxN 矩阵哦) in-place 旋转 90 度。 |
|
b********g 发帖数: 43 | 24 那天太神勇了。。主要都是常见题。。
1. two sum, sorted and unsorted version
2. reverse K group linked list
3. binary search tree(lowest common ancestor), extend to binary tree case
4. find unnecessary classes to compile a class in a package .
5. reverse a sentence word by word "I am joe" ---> I ma eoj
6. permutation of a string, I wrote the recursive way first and next_
permutation implementation after that.
7. intersection of two sorted array
8. rotate of a matrix, NxN case, I use transpose, NxM case, I use repl... 阅读全帖 |
|
p**e 发帖数: 533 | 25 利用电话按键1-9产生password,必须swipe产生password,跟android很像,密码没有
重复的数字。
比如
1 2 3
4 5 6
7 8 9
可以从1出发到5,到9,到6, 到3, 产生密码15963.
但是不可以从1直接到9,因为1跟9不相连。
也不可以是1421,因为任何数字在一个密码中只能用一次。
问题是:用这种方法一共可以产生多少个passwords?
如果是nxn square,能够有多少个swipable的按键组合? |
|
l****c 发帖数: 782 | 26 Given an image represented by an NxN matrix, where each pixel in the image
is 4 bytes, write a method to rotate the image by 90 degrees. Can you do
this in place?
我想问个超弱智的问题,如果函数定义成 void rotation(matrix, n);
这个matrix怎样才能是一个的动态大小二维数组呢?我目前只知道一维的,可以用int
*matrix作为输入。。。谢谢了。 |
|
b*******d 发帖数: 750 | 27 今天刚遇到的。
写一个函数(getMatrix),给一个数N,生成一个随机的valid的NxN矩阵。valid是指
,矩阵上的每个cell也是一个数,但必须是从1到N的一个数。行列皆不能有重复的数。
每次call这个函数,返回的matrix都是独立随机。
完成这个函数后,follow up:反过来,如果得到这样一个matrix后,中间挖掉几个
cell,让其成空,剩下的是个sudoko puzzle,让人来猜。你能否定义一个difficulty
,来衡量你生成的puzzle有多难。难度需要与人们平均做出来的时间正相关。 |
|
e***l 发帖数: 710 | 28 来自主题: JobHunting版 - G家面试题 第一行的N个元素,分别对应N个(N-1)x(N-1)的余子阵(即去掉这个元素所在的行和列
之后剩下的矩阵)。假设N个余子阵上该问题的最优解已经得到(递归),就可以通过
比较第一行元素的N种选择,来得到NxN上的最优解。 |
|
e***l 发帖数: 710 | 29 来自主题: JobHunting版 - G家面试题 第一行的N个元素,分别对应N个(N-1)x(N-1)的余子阵(即去掉这个元素所在的行和列
之后剩下的矩阵)。假设N个余子阵上该问题的最优解已经得到(递归),就可以通过
比较第一行元素的N种选择,来得到NxN上的最优解。 |
|
a*******y 发帖数: 1040 | 30 那个look up table应该就是这个东东(NxN)矩阵 |
|
S**I 发帖数: 15689 | 31 ☆─────────────────────────────────────☆
pore (坚持不懈) 于 (Tue May 15 00:11:28 2012, 美东) 提到:
利用电话按键1-9产生password,必须swipe产生password,跟android很像,密码没有
重复的数字。
比如
1 2 3
4 5 6
7 8 9
可以从1出发到5,到9,到6, 到3, 产生密码15963.
但是不可以从1直接到9,因为1跟9不相连。
也不可以是1421,因为任何数字在一个密码中只能用一次。
问题是:用这种方法一共可以产生多少个passwords?
如果是nxn square,能够有多少个swipable的按键组合?
☆─────────────────────────────────────☆
tradertobe (builder) 于 (Tue May 15 00:24:00 2012, 美东) 提到:
Look like DFS.
☆─────────────────────────────────────☆
realife (leda) 于 ... 阅读全帖 |
|
l*****a 发帖数: 559 | 32 Copied the answer from careercup150. I can hardly understand the algorithm
which claimed to have complexity O^2.
Assumption: Square is of size NxN.
This algorithm does the following:
1. Iterate through every (full) column from left to right.
2. At each (full) column (call this currentColumn), look at the subcolumns (
from biggest to smallest).
3. At each subcolumn, see if you can form a square with the subcolumn as the
left side. If so, update currentMaxSize and go to the next (full) column.
4.... 阅读全帖 |
|
N*********6 发帖数: 4372 | 33 个人觉得既然正负都无所谓的话,四个象限的情形都可以
映射到第一象限,应该可以证明从其他象限绕的valid path
都可以通过在第一象限走到目的地,而且path相对比较短
所以只考虑第一象限的情形,四个方向可以简化为只能往右
和往上走,这样就和经典的robot moving problem 一样了
用dp可以找出总共有多少条路径,backtracking可以打印或者
计算总共的路径,这道题不需要算总数和打印,只需要算其
中一条valid path的长度,相对简单一些
参见
http://prpds.blogspot.com/2011/07/robot-in-nxn-grid_18.html
以及career cup里面的moving robot 例子
K
到( |
|
N*********6 发帖数: 4372 | 34 个人觉得既然正负都无所谓的话,四个象限的情形都可以
映射到第一象限,应该可以证明从其他象限绕的valid path
都可以通过在第一象限走到目的地,而且path相对比较短
所以只考虑第一象限的情形,四个方向可以简化为只能往右
和往上走,这样就和经典的robot moving problem 一样了
用dp可以找出总共有多少条路径,backtracking可以打印或者
计算总共的路径,这道题不需要算总数和打印,只需要算其
中一条valid path的长度,相对简单一些
参见
http://prpds.blogspot.com/2011/07/robot-in-nxn-grid_18.html
以及career cup里面的moving robot 例子
K
到( |
|
d*s 发帖数: 699 | 35 是这样的矩阵么?
1 3 5
2 7 8
6 9 11
如果是的话,可以按照/分层,每层都比上一层大,比如第一层是1,第二层是2,3,第三
层6 7 5等等
对于NxN矩阵中第k个最小的数字,所处的层数n由max n for k-n*(n+1)/2>0得到,然后
对该层(n+1)所有数字排序,复杂度nlog(n),取第int(k-n*(n+1)/2)个,得到结果 |
|
a*****8 发帖数: 10 | 36 Write an algorithm to check the winning condition in a tic-tac toe game for
a NXN grid ?
requirement: time complexity o(1) space complexity no specified |
|
w****x 发帖数: 2483 | 37 careercup上的一道题:
Imagine you have a square matrix, where each cell is filled with either
black or white. Design an algorithm to find the maximum subsquare such that
all four borders are filled with black pixels.
Assumption: Square is of size NxN.
This algorithm does the following:
1. Iterate through every (full) column from left to right.
2. At each (full) column (call this currentColumn), look at the subcolumns (
from biggest to smallest).
3. At each subcolumn, see if you can form a square with ... 阅读全帖 |
|
A**H 发帖数: 4797 | 38 我需要把一个有8x8个小格子的大格子分割成小块,每一个小块都是一个随机的俄罗斯
方块的形状(I,O,S,Z,L,J,T,最终需要考虑旋转,但是先不管吧),请问怎么下手?水
平有限,请最好不要用太复杂的术语了。
推而广之的问题就是nxn的格子分割成小块,每一个小块都是一个先定义好了的形状,
怎么做?
谢谢 |
|
g********E 发帖数: 178 | 39 skill assessment的编程题
Tic tac toe: nxn矩阵,黑白子,三点连线算一分,比如
bbb 1分
bbbbb 3分
算谁得分高
另外三道career cup上都有,就不写了。 |
|
l***8 发帖数: 149 | 40 I don't think O(nm) is possible. O(nm log(min(n,m)) is probably the best you
can do.
Consider the special case of a square nxn matrix, where elements along the
diagonal line A[0][k],A[1][k-1],A[2][k-2]...,A[k][0] have very small
differences in their values, yet are randomly ordered. By solving the 2D
sorting problem, you've effectively sorted every such diagnoal line. |
|
A*********c 发帖数: 430 | 41 本来我是带着娱乐的态度来回帖的,但是既然碰到了大牛,请educate我。
请告诉我任意一个数据结构,比inverted list 更重要,并且广泛地应用到了实际的
text retrieval system中.
请告诉我任意一个document retrieval model,比vector space model 或者 Okapi
BM25, Statistically significantly better for general purpose document
retrieval. Either implemented in Lucene or Lemur.
请告诉我任意一个clustering algorithm,other than Kmeans,will be your safe
first choice of clustering when you see some arbitrary data.
对于Classification,Old Stuff Like KNN works well in many cases. Kernel
algorithms are go... 阅读全帖 |
|
A*********c 发帖数: 430 | 42 本来我是带着娱乐的态度来回帖的,但是既然碰到了大牛,请educate我。
请告诉我任意一个数据结构,比inverted list 更重要,并且广泛地应用到了实际的
text retrieval system中.
请告诉我任意一个document retrieval model,比vector space model 或者 Okapi
BM25, Statistically significantly better for general purpose document
retrieval. Either implemented in Lucene or Lemur.
请告诉我任意一个clustering algorithm,other than Kmeans,will be your safe
first choice of clustering when you see some arbitrary data.
对于Classification,Old Stuff Like KNN works well in many cases. Kernel
algorithms are go... 阅读全帖 |
|
C******w 发帖数: 23 | 43 10月17日,第一轮电面:
第一题:上海的电话isTree(vector >& edges); (离散化+dfs判环
判联通)
第二题,
Given a 2D space of maximum size NxN which supports two operations :
[1] void UPDATE(x,y,v) - sets the value of cell [x,y] to v
[2] int QUERY(x1,y1,x2,y2) - returns sub-rectangle sum (x1,y1) to (x2,
y2)
inclusive, and there is an infinite stream of such 2 types of
operations which have to supported. How would you store the values for
efficient updates and retrievals ? (二维线... 阅读全帖 |
|
m*****t 发帖数: 334 | 44 How to solve this one?
Given a 2D space of maximum size NxN which supports two operations :
[1] void UPDATE(x,y,v) - sets the value of cell [x,y] to v
[2] int QUERY(x1,y1,x2,y2) - returns sub-rectangle sum (x1,y1) to (x2,
y2)
inclusive, and there is an infinite stream of such 2 types of
operations which have to supported. How would you store the values for
efficient updates and retrievals ? |
|
P**********k 发帖数: 1629 | 45 这个不就是用integral image
先建一个NxN的pre-sum数组,然后这个数组的(i,j)元素存的是从(0, 0)到(i, j)的
subarray的和,
这样每次query任意sub-array的和,只用取出对应这个pre-sum数组的四个顶点的值
A -----B
| |
| |
C-----D
然后计算A+D-B-C就行了,这样query就是O(1). |
|
C******w 发帖数: 23 | 46 10月17日,第一轮电面:
第一题:上海的电话isTree(vector >& edges); (离散化+dfs判环
判联通)
第二题,
Given a 2D space of maximum size NxN which supports two operations :
[1] void UPDATE(x,y,v) - sets the value of cell [x,y] to v
[2] int QUERY(x1,y1,x2,y2) - returns sub-rectangle sum (x1,y1) to (x2,
y2)
inclusive, and there is an infinite stream of such 2 types of
operations which have to supported. How would you store the values for
efficient updates and retrievals ? (二维线... 阅读全帖 |
|
m*****t 发帖数: 334 | 47 How to solve this one?
Given a 2D space of maximum size NxN which supports two operations :
[1] void UPDATE(x,y,v) - sets the value of cell [x,y] to v
[2] int QUERY(x1,y1,x2,y2) - returns sub-rectangle sum (x1,y1) to (x2,
y2)
inclusive, and there is an infinite stream of such 2 types of
operations which have to supported. How would you store the values for
efficient updates and retrievals ? |
|
P**********k 发帖数: 1629 | 48 这个不就是用integral image
先建一个NxN的pre-sum数组,然后这个数组的(i,j)元素存的是从(0, 0)到(i, j)的
subarray的和,
这样每次query任意sub-array的和,只用取出对应这个pre-sum数组的四个顶点的值
A -----B
| |
| |
C-----D
然后计算A+D-B-C就行了,这样query就是O(1). |
|
b********6 发帖数: 97 | 49 背景:本科生物,统计master + 9个月工作经验
结果: offer: amazon, facebook, linkedin, google
Withdraw了ebay的onsite,别的好多电面都fail或者没有消息
电面:
Amazon两个:面得太早,具体想不起来了,code题不多。问怎么从某种格式的log file
里抓出想要的信息,简单的regular expression 和perl scripts, 问一些如果server
有问题怎么trouble shooting的开放问题。
Linkedin 两个:
1 binary tree level order traversal, leetcode原题
2 pow(x,2) leetcode原题
3 判断一个string表示的数字是否valid,类似leetcode Valid Number原题,一些具体
要求要和面试官讨论后确定
4 permutation I and II leetcode原题
Facebook一个:
1 reverse linkedlist (这个我无话可说)
2 decide whether tw... 阅读全帖 |
|
h*****7 发帖数: 103 | 50 一个NxN的01矩阵, 每个翻转一个元素(01取反), 同时也翻转相邻的8个点, 多少次能够
变成全0矩阵? 如果扩展下,每次翻转边长k范围内的点(2k+1长度正方形), 怎么做..
只知道k=0时候比较容易, 给跪了, 求大牛指点, 谢谢~ |
|